# Uses of Interface
org.eclipse.ecf.core.sharedobject.events.ISharedObjectMessageEvent

Packages that use ISharedObjectMessageEvent
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.events
org.eclipse.ecf.remoteservice.eventadmin

## Uses of ISharedObjectMessageEvent in org.eclipse.ecf.core.sharedobject

Classes in org.eclipse.ecf.core.sharedobject that implement ISharedObjectMessageEvent
Modifier and Type
Class
Description
`class`
`SharedObjectMsgEvent`
Event type to represent messages sent between shared objects
Methods in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObjectMessageEvent
Modifier and Type
Method
Description
`protected SharedObjectMsg`
BaseSharedObject.`getSharedObjectMsgFromEvent(ISharedObjectMessageEvent event)`
Get SharedObjectMsg from ISharedObjectMessageEvent.
`protected boolean`
BaseSharedObject.`handleSharedObjectMsgEvent(ISharedObjectMessageEvent event)`
Handle a ISharedObjectMessageEvent.
`protected boolean`
SharedObjectMsgEventProcessor.`processSharedObjectMsgEvent(ISharedObjectMessageEvent event)`

## Uses of ISharedObjectMessageEvent in org.eclipse.ecf.core.sharedobject.events

Subinterfaces of ISharedObjectMessageEvent in org.eclipse.ecf.core.sharedobject.events
Modifier and Type
Interface
Description
`interface`
`ISharedObjectCreateResponseEvent`
Classes in org.eclipse.ecf.core.sharedobject.events that implement ISharedObjectMessageEvent
Modifier and Type
Class
Description
`class`
`RemoteSharedObjectCreateResponseEvent`
`class`
`RemoteSharedObjectEvent`
Methods in org.eclipse.ecf.core.sharedobject.events with parameters of type ISharedObjectMessageEvent
Modifier and Type
Method
Description
`void`
ISharedObjectMessageListener.`handleSharedObjectMessage(ISharedObjectMessageEvent event)`
Receive shared object message via shared object message event.

## Uses of ISharedObjectMessageEvent in org.eclipse.ecf.remoteservice.eventadmin

Methods in org.eclipse.ecf.remoteservice.eventadmin with parameters of type ISharedObjectMessageEvent
Modifier and Type
Method
Description
`protected final boolean`
DistributedEventAdmin.`handleSharedObjectMsgEvent(ISharedObjectMessageEvent event)`
Override of BaseSharedObject.handleSharedObjectMsgEvent.